#!/usr/bin/env python3

# configuration for the python package
# Copyright (C) 2018  Nathan TeBlunthuis

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

from setuptools import setup

setup(name='WikiaUserrolesScraper',
      version='0.1',
      py_modules=['scraper_utils'],
      scripts=['scrape_list.sh','scrape_log.sh','userroles_from_listusers.py','userroles_from_logevents.py'],
      install_requires=['argparse>=1.4','requests>=2.18.4','pandas>=0.23.0'],
      license='GPLv3',
      long_description=open('README.txt').read())
